#include<bits/stdc++.h>
using namespace std;
int main ()
{
    long long n, deliteli[10001];
    int br=1, br_del=0;
    cin>>n;
    for(int i=1; i<=n; i++)
    {
        if(n%i==0)
        {
            deliteli[br_del]=i;
            br_del++;
        }
    }
    br=br_del/2;
    if(br_del%2!=0)
    {
        br++;
    }
    for(int i=1; i<br_del/2; i++)
    {
        bool yes=true;
        for(int j=2; j<=sqrt(deliteli[br_del-i-1]); j++)
        {
            if(deliteli[br_del-i-1]%j==0)
            {
                yes=true;
//                cout<<"*";
                for(int x=1; x<i; x++)
                {
                    if(j==deliteli[x])
                    {
                        yes=false;
                        break;
                    }
                }
                if(yes==true)
                {
                    br++;
                }
            }
//            cout<<deliteli[i]<<" "<<deliteli[br_del-i-1]<<" "<<j<<" "<<yes<<" "<<br<<" "<<i<<endl;
        }
    }
    cout<<br<<endl;
    return 0;
}
